enum R5Types {
  account,
  activitydefinition,
  adverseevent,
  allergyintolerance,
  appointment,
  appointmentresponse,
  auditevent,
  basic,
  binary,
  biologicallyderivedproduct,
  bodystructure,
  bundle,
  capabilitystatement,
  capabilitystatement2,
  careplan,
  careteam,
  catalogentry,
  chargeitem,
  chargeitemdefinition,
  claim,
  claimresponse,
  clinicalimpression,
  clinicaluseissue,
  codesystem,
  communication,
  communicationrequest,
  compartmentdefinition,
  composition,
  conceptmap,
  condition,
  conditiondefinition,
  consent,
  contract,
  coverage,
  coverageeligibilityrequest,
  coverageeligibilityresponse,
  detectedissue,
  device,
  devicedefinition,
  devicemetric,
  devicerequest,
  deviceusestatement,
  diagnosticreport,
  documentmanifest,
  documentreference,
  encounter,
  endpoint,
  enrollmentrequest,
  enrollmentresponse,
  episodeofcare,
  eventdefinition,
  evidence,
  evidencevariable,
  examplescenario,
  explanationofbenefit,
  familymemberhistory,
  flag,
  goal,
  graphdefinition,
  group,
  guidanceresponse,
  healthcareservice,
  imagingstudy,
  immunization,
  immunizationevaluation,
  immunizationrecommendation,
  implementationguide,
  insuranceplan,
  invoice,
  library,
  linkage,
  list,
  location,
  measure,
  measurereport,
  medication,
  medicationadministration,
  medicationdispense,
  medicationknowledge,
  medicationrequest,
  medicationusage,
  medicinalproductdefinition,
  regulatedauthorization,
  ingredient,
  manufactureditemdefinition,
  packagedproductdefinition,
  administrableproductdefinition,
  messagedefinition,
  messageheader,
  molecularsequence,
  namingsystem,
  nutritionintake,
  nutritionorder,
  observation,
  observationdefinition,
  operationdefinition,
  operationoutcome,
  organization,
  organizationaffiliation,
  parameters,
  patient,
  paymentnotice,
  paymentreconciliation,
  person,
  plandefinition,
  practitioner,
  practitionerrole,
  procedure,
  provenance,
  questionnaire,
  questionnaireresponse,
  relatedperson,
  requestgroup,
  researchstudy,
  researchsubject,
  riskassessment,
  schedule,
  searchparameter,
  servicerequest,
  slot,
  specimen,
  specimendefinition,
  structuredefinition,
  structuremap,
  subscription,
  substance,
  substancedefinition,
  substancenucleicacid,
  substancepolymer,
  substanceprotein,
  substancereferenceinformation,
  substancesourcematerial,
  supplydelivery,
  supplyrequest,
  task,
  terminologycapabilities,
  testreport,
  testscript,
  topic,
  valueset,
  verificationresult,
  visionprescription,
  none,
  any,
}

const R5TypesEnumMap = {
  R5Types.account: 'Account',
  R5Types.activitydefinition: 'ActivityDefinition',
  R5Types.adverseevent: 'AdverseEvent',
  R5Types.allergyintolerance: 'AllergyIntolerance',
  R5Types.appointment: 'Appointment',
  R5Types.appointmentresponse: 'AppointmentResponse',
  R5Types.auditevent: 'AuditEvent',
  R5Types.basic: 'Basic',
  R5Types.binary: 'Binary',
  R5Types.biologicallyderivedproduct: 'BiologicallyDerivedProduct',
  R5Types.bodystructure: 'BodyStructure',
  R5Types.bundle: 'Bundle',
  R5Types.capabilitystatement: 'CapabilityStatement',
  R5Types.capabilitystatement2: 'CapabilityStatement2',
  R5Types.careplan: 'CarePlan',
  R5Types.careteam: 'CareTeam',
  R5Types.catalogentry: 'CatalogEntry',
  R5Types.chargeitem: 'ChargeItem',
  R5Types.chargeitemdefinition: 'ChargeItemDefinition',
  R5Types.claim: 'Claim',
  R5Types.claimresponse: 'ClaimResponse',
  R5Types.clinicalimpression: 'ClinicalImpression',
  R5Types.clinicaluseissue: 'ClinicalUseIssue',
  R5Types.codesystem: 'CodeSystem',
  R5Types.communication: 'Communication',
  R5Types.communicationrequest: 'CommunicationRequest',
  R5Types.compartmentdefinition: 'CompartmentDefinition',
  R5Types.composition: 'Composition',
  R5Types.conceptmap: 'ConceptMap',
  R5Types.condition: 'Condition',
  R5Types.conditiondefinition: 'ConditionDefinition',
  R5Types.consent: 'Consent',
  R5Types.contract: 'Contract',
  R5Types.coverage: 'Coverage',
  R5Types.coverageeligibilityrequest: 'CoverageEligibilityRequest',
  R5Types.coverageeligibilityresponse: 'CoverageEligibilityResponse',
  R5Types.detectedissue: 'DetectedIssue',
  R5Types.device: 'Device',
  R5Types.devicedefinition: 'DeviceDefinition',
  R5Types.devicemetric: 'DeviceMetric',
  R5Types.devicerequest: 'DeviceRequest',
  R5Types.deviceusestatement: 'DeviceUseStatement',
  R5Types.diagnosticreport: 'DiagnosticReport',
  R5Types.documentmanifest: 'DocumentManifest',
  R5Types.documentreference: 'DocumentReference',
  R5Types.encounter: 'Encounter',
  R5Types.endpoint: 'Endpoint',
  R5Types.enrollmentrequest: 'EnrollmentRequest',
  R5Types.enrollmentresponse: 'EnrollmentResponse',
  R5Types.episodeofcare: 'EpisodeOfCare',
  R5Types.eventdefinition: 'EventDefinition',
  R5Types.evidence: 'Evidence',
  R5Types.evidencevariable: 'EvidenceVariable',
  R5Types.examplescenario: 'ExampleScenario',
  R5Types.explanationofbenefit: 'ExplanationOfBenefit',
  R5Types.familymemberhistory: 'FamilyMemberHistory',
  R5Types.flag: 'Flag',
  R5Types.goal: 'Goal',
  R5Types.graphdefinition: 'GraphDefinition',
  R5Types.group: 'Group',
  R5Types.guidanceresponse: 'GuidanceResponse',
  R5Types.healthcareservice: 'HealthcareService',
  R5Types.imagingstudy: 'ImagingStudy',
  R5Types.immunization: 'Immunization',
  R5Types.immunizationevaluation: 'ImmunizationEvaluation',
  R5Types.immunizationrecommendation: 'ImmunizationRecommendation',
  R5Types.implementationguide: 'ImplementationGuide',
  R5Types.insuranceplan: 'InsurancePlan',
  R5Types.invoice: 'Invoice',
  R5Types.library: 'Library',
  R5Types.linkage: 'Linkage',
  R5Types.list: 'List',
  R5Types.location: 'Location',
  R5Types.measure: 'Measure',
  R5Types.measurereport: 'MeasureReport',
  R5Types.medication: 'Medication',
  R5Types.medicationadministration: 'MedicationAdministration',
  R5Types.medicationdispense: 'MedicationDispense',
  R5Types.medicationknowledge: 'MedicationKnowledge',
  R5Types.medicationrequest: 'MedicationRequest',
  R5Types.medicationusage: 'MedicationUsage',
  R5Types.medicinalproductdefinition: 'MedicinalProductDefinition',
  R5Types.regulatedauthorization: 'RegulatedAuthorization',
  R5Types.ingredient: 'Ingredient',
  R5Types.manufactureditemdefinition: 'ManufacturedItemDefinition',
  R5Types.packagedproductdefinition: 'PackagedProductDefinition',
  R5Types.administrableproductdefinition: 'AdministrableProductDefinition',
  R5Types.messagedefinition: 'MessageDefinition',
  R5Types.messageheader: 'MessageHeader',
  R5Types.molecularsequence: 'MolecularSequence',
  R5Types.namingsystem: 'NamingSystem',
  R5Types.nutritionintake: 'NutritionIntake',
  R5Types.nutritionorder: 'NutritionOrder',
  R5Types.observation: 'Observation',
  R5Types.observationdefinition: 'ObservationDefinition',
  R5Types.operationdefinition: 'OperationDefinition',
  R5Types.operationoutcome: 'OperationOutcome',
  R5Types.organization: 'Organization',
  R5Types.organizationaffiliation: 'OrganizationAffiliation',
  R5Types.parameters: 'Parameters',
  R5Types.patient: 'Patient',
  R5Types.paymentnotice: 'PaymentNotice',
  R5Types.paymentreconciliation: 'PaymentReconciliation',
  R5Types.person: 'Person',
  R5Types.plandefinition: 'PlanDefinition',
  R5Types.practitioner: 'Practitioner',
  R5Types.practitionerrole: 'PractitionerRole',
  R5Types.procedure: 'Procedure',
  R5Types.provenance: 'Provenance',
  R5Types.questionnaire: 'Questionnaire',
  R5Types.questionnaireresponse: 'QuestionnaireResponse',
  R5Types.relatedperson: 'RelatedPerson',
  R5Types.requestgroup: 'RequestGroup',
  R5Types.researchstudy: 'ResearchStudy',
  R5Types.researchsubject: 'ResearchSubject',
  R5Types.riskassessment: 'RiskAssessment',
  R5Types.schedule: 'Schedule',
  R5Types.searchparameter: 'SearchParameter',
  R5Types.servicerequest: 'ServiceRequest',
  R5Types.slot: 'Slot',
  R5Types.specimen: 'Specimen',
  R5Types.specimendefinition: 'SpecimenDefinition',
  R5Types.structuredefinition: 'StructureDefinition',
  R5Types.structuremap: 'StructureMap',
  R5Types.subscription: 'Subscription',
  R5Types.substance: 'Substance',
  R5Types.substancedefinition: 'SubstanceDefinition',
  R5Types.substancenucleicacid: 'SubstanceNucleicAcid',
  R5Types.substancepolymer: 'SubstancePolymer',
  R5Types.substanceprotein: 'SubstanceProtein',
  R5Types.substancereferenceinformation: 'SubstanceReferenceInformation',
  R5Types.substancesourcematerial: 'SubstanceSourceMaterial',
  R5Types.supplydelivery: 'SupplyDelivery',
  R5Types.supplyrequest: 'SupplyRequest',
  R5Types.task: 'Task',
  R5Types.terminologycapabilities: 'TerminologyCapabilities',
  R5Types.testreport: 'TestReport',
  R5Types.testscript: 'TestScript',
  R5Types.topic: 'Topic',
  R5Types.valueset: 'ValueSet',
  R5Types.verificationresult: 'VerificationResult',
  R5Types.visionprescription: 'VisionPrescription',
  R5Types.none: '',
  R5Types.any: '*',
};
